---
layout: handbook-page-toc
title: "Ops Section"
---

<% section_name = 'Ops Section' %>
<% section_groups = ['Verify:CI Group','Verify:Runner Group','Verify:Testing Group','Package Group','Release:Progressive Delivery Group','Release:Release Management Group','Configure Group','Monitor:APM','Monitor:Health'] %>

#### On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

{: #welcome}

## What we cover

## Who we are

There are XX team members in the Ops Section.

### Ops Section Wide
The following people work as part of the Ops Section but outside a specific product group. 

<%= department_team(base_department: section_name, remove_departments: section_groups) %>

### Product Groups
Here are the individuals who work as part of one of the Ops Section groups.

<% section_groups.each do |sectionGroup| %>
#### <%= sectionGroup %>
  <%= product_group(group: sectionGroup) %>

<% end %>

## Section structure
The section is covered by groups from teams across two primary departments, Engineering and Product. Teams and team members from those departments have their own handbook pages linked below.

* Engineering
   * [Development](/engineering/development/)
      * [Configure & Monitor Sub-department](/handbook/engineering/development/ops/)
      * [CI/CD Sub-department](/handbook/engineering/development/ci-cd/) 
   * [UX](/handbook/engineering/ux/#team-structure)
      * [Verify and Release UX](/handbook/engineering/ux/stage-group-ux-strategy/ci-cd/)
         * [Verify UX](/handbook/engineering/ux/stage-group-ux-strategy/verify/)
         * [Release UX](/handbook/engineering/ux/stage-group-ux-strategy/release/)
      * Package, Configure and Monitor UX
         * [Package UX](/handbook/engineering/ux/stage-group-ux-strategy/package/)
         * Configure UX (TBD)
         * Monitor UX (TBD)
   * [Quality](/handbook/engineering/quality/#quality-engineering-structure)
* Product

## Investment Allocation
The [product groups](/company/team/structure/#product-groups) within the Ops Section are outlined in the [product categories page](/handbook/product/product-categories/#ops-section).

The product department determines our investment within the section by allocating headcount for development team members to product groups. While doing so we adhere to the following principles:
* All product groups will maintain at least a 1:1:1 ratio between three primary DRIs - Product Managers, Product Designers and Engineering Managers.
* We don't currently maintain 1:1:1:1 ratio for the additional Software Engineer in Test (SET) DRI but desire to have singular stable-counterparts between SETs and product groups.
* We will strive to maintain at least 6 developers (FE + BE) in each product group

## Meetings

## Ops Section Manager Meetings
Every Monday at 8:30am Pacific, the Managers in [Ops Section Wide](#ops-section-wide) roles for the Development, UX, Quality and Product Management Departments are invited to attend the Ops Section Manager Meeting. The invite is in the [Ops Section calendar - GitLab internal](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV82ZWVxZmVycjN1MWZyNzI2c3EzNTJjZDhuY0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t).

### Intent
The intent of this meeting is to:
1. Build strong collaboration between section department leaders
1. Ensure section department leaders are aware of and setting direction and priorities
1. Checkin on cross-functional product group performance across Development, Product, UX and Quality performance indicators and OKRs

### Process
The agenda for the meeting is [here - GitLab internal](https://docs.google.com/document/d/1NPzpJGlW9kP5TE1p8dJKingacRiY7K6Y42UYgKusrxg/edit#heading=h.f5kx67gg9rdc).

1. At the start of each meeting we will spend no more than 5 minutes briefly going through each team members [1 to 5s](https://gitlab.com/kencjohnston/README/-/blob/master/README.md#1-to-5s)
1. Other items can be added to the agenda for subsequent discussion
1. On a monthly rotation - we discuss each department's performance indicators and OKRs as well as each group's performance across PIs and relevant OKRs

### Function Based Performance Indicators (PI) Review
On a monthly basis we discuss each department's (Product, Development, Quality, UX) performance indicators with an eye towards enabling department performance improvements by improving how we interact across departments.
The content and scheduling for these monthly reviews are:

* Product PIs ([Handbook Page](/product/ops-section-performance-indicators/) / [Presentation - internal](https://docs.google.com/presentation/d/1pN_KMw7Ds7Lvl7kZ3c9tpvGYaY3RJv-rDw-ldcM0NBc/edit#slide=id.g8355638a39_2_0)) - Next Review 2020-06-29
* Development PIs ([CI/CD](https://app.periscopedata.com/app/gitlab/556687/CI-CD-Section-Metrics) / [Ops](https://app.periscopedata.com/app/gitlab/694012/Ops-Sub-department-Metrics) / [All Sub-Departments](https://app.periscopedata.com/app/gitlab/533956/Development-Department-and-Sub-department-MR-Metrics)) - Next Review 2020-07-20
* Quality PIs - Next Review 2020-07-06 
* UX PIs - Next Review 2020-06-22

### 5x5s
In order to satisfy intent `#1` - we'll start the meeting series by doing a weekly rotation of 5x5s - five minute presentations on five slides introducing yourself to the rest of the team.

## Ops PM Meeting
Every Tuesday alternating weekly between European Availability (5:30 AM Pacific) and Pacific Availability (11:30 AM Pacific) we hold an Ops Section PM Meeting. Any Gitlab team member is invited to attend, just ask for the invite in the #ops-section.
* [Agenda - internal](https://docs.google.com/document/d/19JO_AKtTF1vOyEqRreHHL5DPibtKfPa1dRjOryu8wp8/edit)
* Recordings
  * [European Friendly - internal](https://drive.google.com/drive/u/0/folders/19L8RUu4hQ2ZoiLaHFMUSdmngQJXfRmXk)
  * Pacific Friendly - TBD

### Intent
The intent of this meeting is to:
1. Identify cross-stage opportunities that will benefit our users
1. Share what is working to deliver better product performance indicators
1. Provide a place to discuss ops section wide concerns

### Process
In order to satisfy the above intent, we:
1. Provide read-only content for upcoming features and exciting recently delivered features
1. Voice over what is working well or tips-and-tricks to share with other groups (with the desire to provide handbook homes for them)
1. Have an open agenda for discussion of section wide concerns

## References
* [Product categories](/handbook/product/product-categories/#ops-section)
* [Direction](/direction/ops/)
* [Maturity](/direction/maturity/)
